# 1.6.0[−][src]Trait std::os::unix::fs::DirBuilderExt

    pub trait DirBuilderExt {
        fn mode(&mut self, mode: u32) -> &mut Self;
    }

This is supported on Unix only.

Unix-specific extensions to `fs::DirBuilder`.

## Required methods

### `fn mode(&mut self, mode: u32) -> &mut Self`

This is supported on Unix only.

Sets the mode to create new directories with. This option defaults to 0o777.

# Examples

    use std::fs::DirBuilder;
    use std::os::unix::fs::DirBuilderExt;

    let mut builder = DirBuilder::new();
    builder.mode(0o755);

Run
Loading content...

## Implementors

### `impl DirBuilderExt for DirBuilder`[src]

#### `fn mode(&mut self, mode: u32) -> &mut DirBuilder`[src]

This is supported on Unix only.
Loading content...